aboutsummaryrefslogtreecommitdiff
path: root/misc/cgo/testcshared/test.bash
diff options
context:
space:
mode:
Diffstat (limited to 'misc/cgo/testcshared/test.bash')
-rwxr-xr-xmisc/cgo/testcshared/test.bash7
1 files changed, 7 insertions, 0 deletions
diff --git a/misc/cgo/testcshared/test.bash b/misc/cgo/testcshared/test.bash
index 052ee0e758..0315fb07f5 100755
--- a/misc/cgo/testcshared/test.bash
+++ b/misc/cgo/testcshared/test.bash
@@ -179,6 +179,13 @@ if test "$output" != "PASS"; then
status=1
fi
+if test "$libext" = "dylib"; then
+ # make sure dylibs are well-formed
+ if ! otool -l libgo*.dylib >/dev/null; then
+ status=1
+ fi
+fi
+
if test $status = 0; then
echo "ok"
fi